6.0.0-git
2021-01-19

[#1626] Using ZPS file compression incompatible with compress_pages option
Summary Using ZPS file compression incompatible with compress_pages option
Queue Horde Base
Queue Version 3.0.3
Type Bug
State Resolved
Priority 1. Low
Owners chuck (at) horde (dot) org
Requester kevin_myer (at) iu13 (dot) org
Created 2005-03-26 (5778 days ago)
Due
Updated 2005-04-22 (5751 days ago)
Assigned 2005-03-26 (5778 days ago)
Resolved 2005-04-22 (5751 days ago)
Milestone
Patch No

History
2005-04-22 11:15:38 kevin_myer (at) iu13 (dot) org Comment #6 Reply to this comment
My bad.  I thought I had updated this.  The fix Chuck put in place 
resolved the problem.
2005-04-22 09:51:32 Jan Schneider Comment #5
State ⇒ Resolved
Reply to this comment
No feedback.
2005-03-30 04:31:17 Chuck Hagenbuch Comment #4 Reply to this comment
When I was able to reproduce this, it only happened if compress_all 
was on. Let me know if what I committed fixes this for you.
2005-03-29 18:34:11 kevin_myer (at) iu13 (dot) org Comment #3 Reply to this comment
ini_get('output_handler') returns nothing if using ZPS file compression.



The suggestion was made to test for the existence of ZPS file 
compression by checking the values of:



zend_accelerator.compress_all

or

zend_accelerator.compression



So I'd think that just adding a check to see if 
zend_accelerator.compress_all !=1 or 
ini_get('zend_accelerator.compress_all) == '' (I'm not sure which is 
the proper way to do it, my guess would be the latter) in 
Horde::compressOutput should do the trick.



I have all my sites accelerated currently and don't want to monkey 
with configs in the middle of the day.  But I'll add a php_admin_value 
to disable ZPS compression for my test site and will either generate a 
patch or test one if you beat me to it.
2005-03-26 16:21:55 Chuck Hagenbuch Comment #2
Assigned to Chuck Hagenbuch
State ⇒ Feedback
Reply to this comment
When you have zps4 file compression turned on, what is the value of 
ini_get('output_handler')? Or is there another ini option fo the zps 
compression? Look in Horde::compressOutput() to see what I'm getting 
at - we need to modify the check there.
2005-03-26 01:45:12 kevin_myer (at) iu13 (dot) org Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Using ZPS file compression incompatible with compress_pages option
Queue ⇒ Horde Base
Reply to this comment
ZPS contains a file compression option.  If Horde is configured to use 
zps4, and if file compression is turned on in ZPS, and if Horde is 
configured with compress_pages=true, Horde is unuseable.  All pages 
come up with:



Notice ob_end_clear(): failed to delete buffer Zend Cache Compressor. 
followed by random garbage (which I'm assuming is maybe multiply 
compressed output)



I believe the ob* functions are being called multiple times and the 
two attempts at compression are conflicting.  It would be nice if 
conf.xml warned the user of the potential conflict, or automatically 
disabled compress_pages if using ZPS (although perhaps not everyone 
would have file compression turned on in ZPS).



My testing showed a remarkable improvement in page response time when 
using ZPS file compression, versus using Horde's compress_file option.

Saved Queries